DOMElement::setAttributeNS
DOMElement::setIdAttributeNode
DOMElement
PHP Manual

# DOMElement::setIdAttribute

(PHP 5, PHP 7)

DOMElement::setIdAttribute — Declares the attribute specified by name to be of type ID

### Description

public void DOMElement::setIdAttribute ( string `$name` , bool `$isId` )

Declares the attribute `name` to be of type ID.

### Parameters

`name`

  The name of the attribute.

`isId`

  Set it to `TRUE` if you want `name` to be of type ID, `FALSE` otherwise.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NOT_FOUND`

  Raised if `name` is not an attribute of this element.

### See Also

- DOMDocument::getElementById() - Searches for an element with a certain id
- DOMElement::setIdAttributeNode() - Declares the attribute specified by node to be of type ID
- DOMElement::setIdAttributeNS() - Declares the attribute specified by local name and namespace URI to be of type ID

DOMElement::setAttributeNS
DOMElement::setIdAttributeNode
DOMElement
PHP Manual